Msat  = 790e3
Aex   = 13e-12
alpha = 0.006

g_fct := 2.12
Periodenanzahl := 30

f_min := 7 // GHz NICHT 0!!!!
f_max := 12 // GHz
freq_step := 0.2 // GHz

Bmax := 200  // Startwerte fuer erste Frequenz in mT
Bmin := 0	// Startwerte fuer erste Frequenz in mT
B_step := 1 // Schrittweite in mT
Bstepanzahl :=(Bmax-Bmin)/B_step // Anzahl der Feldschritte fuer die Startfeldwerte

// DO NOT CHANGE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

mu_B := 9.2740091523E-24
h_bar := 1.05457173E-34
f := 1e9 // Variable fuer Tabelle

// define exchange length
lex := sqrt(13e-12 / (0.5 * mu0 * pow(790e3 ,2)))

laenge := 5.1e-6
breite := 1.1e-6
hoehe := 50e-9

nx := 1024
ny := 256

//nx := pow(2, ilogb(laenge / (3*lex)))  // power-of-two number of cells
//ny := pow(2, ilogb(breite / (3*lex)))  // not larger than 0.75 exchange lengths

SetGridSize(nx, ny, 1)
SetCellSize(laenge/nx, breite/ny, hoehe)

gammaLL = (mu_B/h_bar) * g_fct
DemagAccuracy = 6.0
MaxDt = 1e-12

angle := 0.5/180 * pi


tableadd(B_ext)
TableAddVar(f,"Freq","Hz")

	f = 14.05*1e9 // FMR-Frequenz
	print(f)
	T_stop := 1/f
        m = uniform(1, 0.01, 0)
        B_ext = vector(cos(angle)*Bmax/1000,sin(angle)*Bmax/1000,0)
        relax()
	Amp := 0.0005 // 0.5 mT

	for i :=0; i<=Bstepanzahl; i=i+1{
		B_ext = vector(cos(angle)*(Bmax-(i*B_step))/1000, sin(angle)*(Bmax-(i*B_step))/1000, Amp*sin(2*pi*f*(t)))
		if i < 301{
			run(130*T_stop)
		}else{ 
			run(130*T_stop)
		}
		tablesave()
		save(m)
		t = floor(t)
	}
